Results 1 to 10 of 13

Thread: how to install texworks-0.4.4

Hybrid View

  1. #1
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    how to install texworks-0.4.4

    Hi,

    as an absolute beginner, I need some instructions to install the latest stable version of texworks-0.4.4, that I downloaded from http://tug.org/texworks/.

    I have xubuntu 12.04 installed in my laptop.

    Thanks in advance,

  2. #2
    Join Date
    Aug 2011
    Location
    52° N 6° E
    Beans
    2,190
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: how to install texworks-0.4.4

    Texworks is in the repository, so the easy way is going to the software centre, searching for texworks and clicking "install". However, this seems to be version 0.5. It probably works fine, else it wouldn't be in the repository, but you can install the older version as well if you really need it.

    It depends on which file you downloaded, but the easy way is using one of the .deb files (the one matching your computer/operating system). Just download, double click and it should work. I haven't tried it myself, though.

  3. #3
    Join Date
    May 2009
    Location
    Indiana
    Beans
    1,791
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: how to install texworks-0.4.4

    Hmm...it does seem odd that the version mentioned on their website and included in their PPA is older than the one in the main repositories.

    Rather than downloading and installing from the .deb, I would add their PPA:
    Code:
    sudo add-apt-repository ppa:texworks/stable
    sudo apt-get update
    (If you're using 12.10, that command is apt-add-repository.)
    Last edited by newb85; November 4th, 2012 at 09:06 PM.
    Jane, stop this crazy thing!

  4. #4
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: how to install texworks-0.4.4

    I tried to install with the codes you provided but I couldn't see TeXworks in my "applications menu". It doesn't seem to be installed.

  5. #5
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: how to install texworks-0.4.4

    When I install the version that is available in the repository, I get the following the message "Package operation failed" and "The installation or removal of a software package failed."

    More frustrating message under the details is the following:
    Code:
    installArchives() failed: Selecting previously unselected package texworks.
    (Reading database ... 
    (Reading database ... 5%
    (Reading database ... 10%
    (Reading database ... 15%
    (Reading database ... 20%
    (Reading database ... 25%
    (Reading database ... 30%
    (Reading database ... 35%
    (Reading database ... 40%
    (Reading database ... 45%
    (Reading database ... 50%
    (Reading database ... 55%
    (Reading database ... 60%
    (Reading database ... 65%
    (Reading database ... 70%
    (Reading database ... 75%
    (Reading database ... 80%
    (Reading database ... 85%
    (Reading database ... 90%
    (Reading database ... 95%
    (Reading database ... 100%
    (Reading database ... 328954 files and directories currently installed.)
    Unpacking texworks (from .../texworks_0.5~svn952-1_amd64.deb) ...
    Processing triggers for man-db ...
    Processing triggers for desktop-file-utils ...
    Setting up tex-common (2.10) ...
    Error: The new file /usr/share/tex-common/05TeXMF.cnf does not exist!
    dpkg: error processing tex-common (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-pstricks:
     texlive-pstricks depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing texlive-pstricks (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of asymptote:
     asymptote depends on texlive-pstricks; however:
      Package texlive-pstricks is not configured yet.
     asymptote depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing asymptote (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of preview-latex-style:
     preview-latex-style depends on tex-common; however:
      Package tex-common is not configured yet.
    dpkg: error processing preview-latex-style (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of auctex:
     auctex depends on preview-latex-style; however:
      PaNo apport report written because the error message indicates its a followup error from a previous failure.
    No apport report written because the error message indicates its a followup error from a previous failure.
    No apport report written because MaxReports is reached already
    No apport report written because MaxReports is reached already
    No apport report written because MaxReports is reached already
    No apport report written because MaxReports is reached already
    No apport report written because MaxReports is reached already
    No apport report written because MaxReports is reached already
    No apport report written because MaxReports is reached already
    No apport report written because MaxReports is reached already
    ckage preview-latex-style is not configured yet.
    dpkg: error processing auctex (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of hevea:
     hevea depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing hevea (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of jadetex:
     jadetex depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing jadetex (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of pgf:
     pgf depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing pgf (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of latex-beamer:
     latex-beamer depends on pgf (>= 1.00-1); however:
      Package pgf is not configured yet.
    dpkg: error processing latex-beamer (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of latex-sanskrit:
     latex-sanskrit depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing latex-sanskrit (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of prosper:
     prosper depends on texlive-pstricks; however:
      Package texlive-pstricks is not configured yet.
     prosper depends on tex-common (>= 1.10); however:
      Package tex-common is not configured yet.
    dpkg: error processing prosper (--configure):
     dependency problems - leaving unconfigured
    Setting up tex4ht-common (20090611-1.1) ...
    texhash: /usr/share/texmf not a directory.
    texhash: Done.
    cp: cannot stat `/usr/share/tex-common/texmf.cnf.md5sum.d/': No such file or directory
    dpkg: error processing tex4ht-common (--configure):
     subprocess installed post-installation script returned error exit status 1
    No apport report written because MaxReports is reached already
    dpkg: dependency problems prevent configuration of tex4ht:
     tex4ht depends on tex4ht-common (= 20090611-1.1); however:
      Package tex4ht-common is not configured yet.
    dpkg: error processing tex4ht (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
    dpkg: dependency problems prevent configuration of texlive-bibtex-extra:
     texlive-bibtex-extra depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing texlive-bibtex-extra (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
    dpkg: dependency problems prevent configuration of texlive-doc-en:
     texlive-doc-en depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing texlive-doc-en (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
    dpkg: dependency problems prevent configuration of texlive-doc-tr:
     texlive-doc-tr depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing texlive-doc-tr (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
    dpkg: dependency problems prevent configuration of texlive-pictures:
     texlive-pictures depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing texlive-pictures (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
    dpkg: dependency problems prevent configuration of texlive-latex-extra:
     texlive-latex-extra depends on preview-latex-style; however:
      Package preview-latex-style is not configured yet.
     texlive-latex-extra depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
     texlive-latex-extra depends on texlive-pictures (>= 2009-1); however:
      Package texlive-pictures is not configured yet.
    dpkg: error processing texlive-latex-extra (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
    dpkg: dependency problems prevent configuration of texlive-latex-extra-doc:
     texlive-latex-extra-doc depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing texlive-latex-extra-doc (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
    dpkg: dependency problems prevent configuration of texlive-pictures-doc:
     texlive-pictures-doc depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing texlive-pictures-doc (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
    Setting up texworks (0.5~svn952-1) ...
    Errors were encountered while processing:
     tex-common
     texlive-pstricks
     asymptote
     preview-latex-style
     auctex
     hevea
     jadetex
     pgf
     latex-beamer
     latex-sanskrit
     prosper
     tex4ht-common
     tex4ht
     texlive-bibtex-extra
     texlive-doc-en
     texlive-doc-tr
     texlive-pictures
     texlive-latex-extra
     texlive-latex-extra-doc
     texlive-pictures-doc
    Error in function: 
    SystemError: E:Sub-process /usr/bin/dpkg returned an error code (1)
    Setting up tex4ht-common (20090611-1.1) ...
    texhash: /usr/share/texmf not a directory.
    texhash: Done.
    cp: cannot stat `/usr/share/tex-common/texmf.cnf.md5sum.d/': No such file or directory
    dpkg: error processing tex4ht-common (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of tex4ht:
     tex4ht depends on tex4ht-common (= 20090611-1.1); however:
      Package tex4ht-common is not configured yet.
    dpkg: error processing tex4ht (--configure):
     dependency problems - leaving unconfigured
    Setting up tex-common (2.10) ...
    Error: The new file /usr/share/tex-common/05TeXMF.cnf does not exist!
    dpkg: error processing tex-common (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-extra-doc:
     texlive-latex-extra-doc depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing texlive-latex-extra-doc (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of prosper:
     prosper depends on tex-common (>= 1.10); however:
      Package tex-common is not configured yet.
    dpkg: error processing prosper (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of jadetex:
     jadetex depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing jadetex (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of texlive-pictures:
     texlive-pictures depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing texlive-pictures (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of preview-latex-style:
     preview-latex-style depends on tex-common; however:
      Package tex-common is not configured yet.
    dpkg: error processing preview-latex-style (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of texlive-pictures-doc:
     texlive-pictures-doc depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing texlive-pictures-doc (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of pgf:
     pgf depends on tex-common (>= 2.00); however:
      Package tex-common is not configured yet.
    dpkg: error processing pgf (--configure):
     dependency problems - leaving unconfigured

  6. #6
    Join Date
    Jan 2008
    Beans
    588
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: how to install texworks-0.4.4

    Hi bekirs.

    Well, I can't help with your specific problem (yay me!), but I can suggests some alternatives. I started learning LaTeX using TeXmaker, which I liked because it is cross-platform, so it's available whatever system you end up using.

    I eventually just ended up using leafpad and the terminal though!

    Some useful resources to help you progress in your LaTeXing (Which I presume you have already found, but it wouldn't hurt for me to repeat them here) are the not so short guide to LaTeX along with the LaTeX wikibook

    Hopefully that'll be of some use to you...
    'I know lifes a bummer baby, But thats got precious little to do with me' - Monster Magnet

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •